## GimpDrawablePreview GimpDrawablePreview |

## Functions

GtkWidget * | gimp_drawable_preview_new ()
GimpDrawable * | gimp_drawable_preview_get_drawable ()
void | gimp_drawable_preview_draw_region ()

## Properties

gpointer | drawable | Read / Write / Construct Only

## Types and Values

| GimpDrawablePreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview
                                    ╰── GimpDrawablePreview

## Implemented Interfaces

GimpDrawablePreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_drawable_preview_new ()

    GtkWidget *
    gimp_drawable_preview_new (GimpDrawable *drawable,
                               gboolean *toggle);

Since: GIMP 2.2

### gimp_drawable_preview_get_drawable ()

    GimpDrawable *
    gimp_drawable_preview_get_drawable (GimpDrawablePreview *preview);

Since: GIMP 2.2

### gimp_drawable_preview_draw_region ()

    void
    gimp_drawable_preview_draw_region (GimpDrawablePreview *preview,
                                       const GimpPixelRgn *region);

Since: GIMP 2.2

## Types and Values

### GimpDrawablePreview

    typedef struct _GimpDrawablePreview GimpDrawablePreview;

## Property Details

### The `“drawable”` property

      “drawable”                 gpointer

Flags: Read / Write / Construct Only

Since: GIMP 2.4